
From: Peter Chubb <peterc@gelato.unsw.edu.au>

When building with  CONFIG_PHYLIB=y on Itanium, I see:
 `mdio_bus_exit' referenced in section `.init.text' of
drivers/built-in.o: defined in discarded section `.exit.text' of
drivers/built-in.o

I believe that mdio_bus_exit should not be declared __exit, because it is
referencesd from __init sections in, say, phy_init().

Signed-off-by: Peter Chubb <peterc@gelato.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/net/phy/mdio_bus.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/net/phy/mdio_bus.c~mdio_bus_exit-in-discarded-section-textexit drivers/net/phy/mdio_bus.c
--- devel/drivers/net/phy/mdio_bus.c~mdio_bus_exit-in-discarded-section-textexit	2005-08-31 21:29:19.000000000 -0700
+++ devel-akpm/drivers/net/phy/mdio_bus.c	2005-08-31 21:29:19.000000000 -0700
@@ -170,7 +170,7 @@ int __init mdio_bus_init(void)
 	return bus_register(&mdio_bus_type);
 }
 
-void __exit mdio_bus_exit(void)
+void mdio_bus_exit(void)
 {
 	bus_unregister(&mdio_bus_type);
 }
_
